Package: org.codehaus.groovy.ant

## [Java] Class Groovydoc

- org.codehaus.groovy.ant.Groovydoc

- Access to the GroovyDoc tool from Ant.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Groovydoc ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `LinkArgument` | `createLink()` Create link to Javadoc/GroovyDoc output at the given URL.
    `` | `void` | `execute()`
    `` | `protected String[]` | `getClassTemplates()` Creates and returns an array of class template classpath entries.
    `` | `protected String[]` | `getDocTemplates()` Creates and returns an array of doc template classpath entries.
    `` | `protected String[]` | `getPackageTemplates()` Creates and returns an array of package template classpath entries.
    `` | `void` | `setAccess(String access)` Indicates the access mode or scope of interest: one of public, protected, package, or private.
    `` | `void` | `setAuthor(boolean author)` If set to false, author will not be displayed.
    `` | `void` | `setCharset(String charset)` Specifies the charset to be used in the templates, i.e. the value output within: <meta http-equiv="Content-Type" content="text/html; charset=charset">.
    `` | `void` | `setDestdir(File dir)` Set the directory where the Groovydoc output will be generated.
    `` | `void` | `setDoctitle(String htmlTitle)` Set the title for the overview page.
    `` | `void` | `setExtensions(String extensions)` A colon-separated list of filename extensions to look for when searching for files to process in a given directory.
    `` | `void` | `setFileEncoding(String fileEncoding)` Specifies the file encoding to be used for generated files.
    `` | `void` | `setFooter(String footer)` Set the footer to place at the bottom of each generated html page.
    `` | `void` | `setHeader(String header)` Specifies the header text to be placed at the top of each output file.
    `` | `void` | `setIncludeMainForScripts(boolean includeMainForScripts)` If set to false, 'public static void main' method will not be displayed.
    `` | `void` | `setNoTimestamp(boolean noTimestamp)` If set to true, hidden timestamp will not appear within generated HTML.
    `` | `void` | `setNoVersionStamp(boolean noVersionStamp)` If set to true, hidden version stamp will not appear within generated HTML.
    `` | `void` | `setOverview(File file)` Specify the file containing the overview to be included in the generated documentation.
    `` | `void` | `setPackage(boolean b)` Indicate whether only package, protected and public classes and members are to be included in the scope processed.
    `` | `void` | `setPackagenames(String packages)` Set the package names to be processed.
    `` | `void` | `setPrivate(boolean b)` Indicate whether all classes and members are to be included in the scope processed.
    `` | `void` | `setProcessScripts(boolean processScripts)` If set to false, Scripts will not be processed.
    `` | `void` | `setProtected(boolean b)` Indicate whether only protected and public classes and members are to be included in the scope processed.
    `` | `void` | `setPublic(boolean b)` Indicate whether only public classes and members are to be included in the scope processed.
    `` | `void` | `setSourcepath(Path src)` Specify where to find source file
    `` | `void` | `setStyleSheetFile(File styleSheetFile)` Specifies a stylesheet file to use.
    `` | `void` | `setUse(boolean b)`
    `` | `void` | `setWindowtitle(String title)` Set the title to be placed in the HTML <title> tag of the generated documentation.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class Task`

    `getTaskName, getOwningTarget, getTaskType, setTaskType, setTaskName, setOwningTarget, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, maybeConfigure, reconfigure, perform, bindToOwner, log, log, log, log, init, execute, setProject, setLocation, clone, getLocation, getDescription, setDescription, getProject, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

    `class ProjectComponent` | `setProject, setLocation, clone, log, log, getLocation, getDescription, setDescription, getProject, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public Groovydoc()

  - ### Method Detail

    - #### public LinkArgument createLink()

      Create link to Javadoc/GroovyDoc output at the given URL.

      Returns:
        link argument to configure

    - #### public void execute()

    - #### protected String[] getClassTemplates()

      Creates and returns an array of class template classpath entries.

      This method is meant to be overridden by custom GroovyDoc implementations, using custom class templates.

      Returns:
        an array of class templates, whereas each entry is resolved as classpath entry, defaults to GroovyDocTemplateInfo.DEFAULT_CLASS_TEMPLATES.

    - #### protected String[] getDocTemplates()

      Creates and returns an array of doc template classpath entries.

      This method is meant to be overridden by custom GroovyDoc implementations, using custom doc templates.

      Returns:
        an array of doc templates, whereas each entry is resolved as classpath entry, defaults to GroovyDocTemplateInfo.DEFAULT_DOC_TEMPLATES.

    - #### protected String[] getPackageTemplates()

      Creates and returns an array of package template classpath entries.

      This method is meant to be overridden by custom GroovyDoc implementations, using custom package templates.

      Returns:
        an array of package templates, whereas each entry is resolved as classpath entry, defaults to GroovyDocTemplateInfo.DEFAULT_PACKAGE_TEMPLATES.

    - #### public void setAccess(String access)

      Indicates the access mode or scope of interest: one of public, protected, package, or private. Package scoped access is ignored for fields of Groovy classes where they correspond to properties.

      Parameters:
        `access` - one of public, protected, package, or private

    - #### public void setAuthor(boolean author)

      If set to false, author will not be displayed. Currently not used.

      Parameters:
        `author` - new value

    - #### public void setCharset(String charset)

      Specifies the charset to be used in the templates, i.e. the value output within: <meta http-equiv="Content-Type" content="text/html; charset=charset">.

      Parameters:
        `charset` - the charset value

    - #### public void setDestdir(File dir)

      Set the directory where the Groovydoc output will be generated.

      Parameters:
        `dir` - the destination directory.

    - #### public void setDoctitle(String htmlTitle)

      Set the title for the overview page.

      Parameters:
        `htmlTitle` - the html to use for the title.

    - #### public void setExtensions(String extensions)

      A colon-separated list of filename extensions to look for when searching for files to process in a given directory. Default value: `.java:.groovy:.gv:.gvy:.gsh`

      Parameters:
        `extensions` - new value

    - #### public void setFileEncoding(String fileEncoding)

      Specifies the file encoding to be used for generated files. If fileEncoding is missing, the charset encoding will be used for writing the files. If fileEncoding and charset are missing, the file encoding will default to Charset.defaultCharset().

      Parameters:
        `fileEncoding` - the file encoding

    - #### public void setFooter(String footer)

      Set the footer to place at the bottom of each generated html page.

      Parameters:
        `footer` - the footer value

    - #### public void setHeader(String header)

      Specifies the header text to be placed at the top of each output file. The header will be placed to the right of the upper navigation bar. It may contain HTML tags and white space, though if it does, it must be enclosed in quotes. Any internal quotation marks within the header may have to be escaped.

      Parameters:
        `header` - the header value

    - #### public void setIncludeMainForScripts(boolean includeMainForScripts)

      If set to false, 'public static void main' method will not be displayed. Defaults to true. Ignored when not processing Scripts.

      Parameters:
        `includeMainForScripts` - new value

    - #### public void setNoTimestamp(boolean noTimestamp)

      If set to true, hidden timestamp will not appear within generated HTML.

      Parameters:
        `noTimestamp` - new value

    - #### public void setNoVersionStamp(boolean noVersionStamp)

      If set to true, hidden version stamp will not appear within generated HTML.

      Parameters:
        `noVersionStamp` - new value

    - #### public void setOverview(File file)

      Specify the file containing the overview to be included in the generated documentation.

      Parameters:
        `file` - the overview file

    - #### public void setPackage(boolean b)

      Indicate whether only package, protected and public classes and members are to be included in the scope processed. Package scoped access is ignored for fields of Groovy classes where they correspond to properties.

      Parameters:
        `b` - true if scope includes package level classes and members

    - #### public void setPackagenames(String packages)

      Set the package names to be processed.

      Parameters:
        `packages` - a comma separated list of packages specs (may be wildcarded).

    - #### public void setPrivate(boolean b)

      Indicate whether all classes and members are to be included in the scope processed.

      Parameters:
        `b` - true if scope is to be private level.

    - #### public void setProcessScripts(boolean processScripts)

      If set to false, Scripts will not be processed. Defaults to true.

      Parameters:
        `processScripts` - new value

    - #### public void setProtected(boolean b)

      Indicate whether only protected and public classes and members are to be included in the scope processed.

      Parameters:
        `b` - true if scope includes protected level classes and members

    - #### public void setPublic(boolean b)

      Indicate whether only public classes and members are to be included in the scope processed.

      Parameters:
        `b` - true if scope only includes public level classes and members

    - #### public void setSourcepath(Path src)

      Specify where to find source file

      Parameters:
        `src` - a Path instance containing the various source directories.

    - #### public void setStyleSheetFile(File styleSheetFile)

      Specifies a stylesheet file to use. If not specified, a default one will be generated for you.

      Parameters:
        `styleSheetFile` - the css stylesheet file to use

    - #### public void setUse(boolean b)

    - #### public void setWindowtitle(String title)

      Set the title to be placed in the HTML <title> tag of the generated documentation.

      Parameters:
        `title` - the window title to use.